Bug 8071 - link beween bib and authorities with the authid
Summary: link beween bib and authorities with the authid
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high blocker (vote)
Assignee: Fridolin SOMERS
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-10 13:17 UTC by delaye
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch proposed (3.91 KB, patch)
2012-05-11 14:07 UTC, laurenthdl
Details | Diff | Splinter Review
Proposed patch (2) (6.25 KB, patch)
2012-07-25 16:13 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Proposed patch (3) (16.90 KB, patch)
2012-07-27 10:05 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 8071: link between bib and authorities with the authid (17.08 KB, patch)
2012-08-11 17:01 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description delaye 2012-05-10 13:17:12 UTC
I have in a database authorities (marcxml.auth_header) $9<space>0<space> in the tag 2XX

So when I want link a bib record with a auth record, koha create the link with the $9<space>0<space> in the tag 2XX and not with the authid from auth_header.
Result in the thesaurus all the link are bad
Comment 1 laurenthdl 2012-05-11 14:07:29 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-06-17 04:54:10 UTC
Hi, 

this is marked as blocker, but I am not sure how to test it. Can you perhaps provide a test plan?
Comment 3 Fridolin SOMERS 2012-07-25 16:13:16 UTC Comment hidden (obsolete)
Comment 4 Fridolin SOMERS 2012-07-25 16:21:31 UTC
Test plan :
-----------

Test thesaurus in cataloging :

Edit an authority type to allow $9 edition in the field that will be copied into biblio.
Create a new authority of this type using and set '0' in the subfield $9 defined above.
Save the authority.
Wait for incremental indexing (or perform rebuild_zebra.pl -a -z).
Create a new record.
Edit a field using as thesaurus the above authority type.
Click on thesaurus link (usually at $a).
Search for the authority created above.
Choose it.
Without patch => $9 in biblio field will have '0'.
With patch => $9 in biblio field will have the authid number.


+ Test authority with $9='0' in MARC view.

+ Test authorities merge.
Comment 5 Fridolin SOMERS 2012-07-27 10:05:08 UTC Comment hidden (obsolete)
Comment 6 Fridolin SOMERS 2012-07-27 10:06:17 UTC
Remove "Test authority with $9='0' in MARC view" form test plan.
Comment 7 Jared Camins-Esakov 2012-08-11 17:01:07 UTC
Created attachment 11554 [details] [review]
Bug 8071: link between bib and authorities with the authid

Do not automatically populate $9 in bibliographic headings when the
$9 is set in the authorized heading field of the authority record.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 8 Mason James 2012-09-14 05:01:50 UTC
patch looks good, applied to MASTER, passing QA...

$ koha-qa.pl

testing 1 commit(s) (applied to commit 60790d0)
 * 955eee1 Bug 8071: link between bib and authorities with the authid
      C4/AuthoritiesMarc.pm
      C4/Biblio.pm
      authorities/blinddetail-biblio-search.pl
      koha-tmpl/intranet-tmpl/prog/en/modules/authorities/blinddetail-biblio-search.tt

* C4/AuthoritiesMarc.pm                                                    OK
* C4/Biblio.pm                                                             OK
* authorities/blinddetail-biblio-search.pl                                 OK
* koha-tmpl/intranet-tmpl/prog/en/modules/authorities/blinddetail-biblio-seOK
Comment 9 Paul Poulain 2012-09-14 11:56:05 UTC
Patch pushed to master
Comment 10 Chris Cormack 2012-09-15 19:43:51 UTC
Pushed to 3.8.x will be in 3.8.5. Template change but no string changes. But being a blocker I would push anyway. (Blockers trump freezes at least in my book)